.TH "mca_allocator_bucket_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_allocator_bucket_t \- Structure that holds the necessary information for each area of memory.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <allocator_bucket_alloc.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_allocator_base_module_t\fP \fBsuper\fP"
.br
.RI "\fImakes this a child of class mca_allocator_t \fP"
.ti -1c
.RI "\fBmca_allocator_bucket_bucket_t\fP * \fBbuckets\fP"
.br
.RI "\fIthe array of buckets \fP"
.ti -1c
.RI "int \fBnum_buckets\fP"
.br
.RI "\fIthe number of buckets \fP"
.ti -1c
.RI "\fBmca_allocator_base_component_segment_alloc_fn_t\fP \fBget_mem_fn\fP"
.br
.RI "\fIpointer to the function to get more memory \fP"
.ti -1c
.RI "\fBmca_allocator_base_component_segment_free_fn_t\fP \fBfree_mem_fn\fP"
.br
.RI "\fIpointer to the function to free memory \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure that holds the necessary information for each area of memory. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
